Skip to main content
GET
/
api
/
v2
/
tokens
/
{id}
Get access token
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/tokens/{id} \
  --header 'Authorization: <api-key>'
{
  "_id": "61095542756dba551110ae21",
  "ownerId": "569f514156e003339cfd3917",
  "memberId": "569f514183f2164430000002",
  "creationDate": "1628001602644",
  "lastModified": "1628001602644",
  "_links": {
    "parent": {
      "href": "/api/v2/tokens",
      "type": "application/json"
    },
    "self": {
      "href": "/api/v2/tokens/61095542756dba551110ae21",
      "type": "application/json"
    }
  },
  "_member": {
    "_links": {
      "self": {
        "href": "/api/v2/members/569f183514f4432160000007",
        "type": "application/json"
      }
    },
    "_id": "569f183514f4432160000007",
    "role": "admin",
    "email": "ariel@acme.com",
    "firstName": "Ariel",
    "lastName": "Flores"
  },
  "name": "Example reader token",
  "description": "A reader token used in testing and examples",
  "customRoleIds": [],
  "inlineRole": [],
  "role": "reader",
  "token": "1234",
  "serviceToken": false,
  "defaultApiVersion": 20240415,
  "lastUsed": "0"
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string<string>
required

The ID of the access token

Response

Access token response

_id
string
required

The ID of the access token

Example:

"61095542756dba551110ae21"

ownerId
string
required

The ID of the owner of the account for the access token

Example:

"569f514156e003339cfd3917"

memberId
string
required

The ID of the member who created the access token

Example:

"569f514183f2164430000002"

creationDate
integer<int64>
required

Timestamp of when the access token was created

Example:

"1628001602644"

lastModified
integer<int64>
required

Timestamp of the last modification of the access token

Example:

"1628001602644"

The location and content type of related resources

Example:
{
"parent": {
"href": "/api/v2/tokens",
"type": "application/json"
},
"self": {
"href": "/api/v2/tokens/61095542756dba551110ae21",
"type": "application/json"
}
}
_member
object

Details on the member who created the access token

name
string

A human-friendly name for the access token

Example:

"Example reader token"

description
string

A description for the access token

Example:

"A reader token used in testing and examples"

customRoleIds
string[]

A list of custom role IDs to use as access limits for the access token

Example:
[]
inlineRole
object[]

An array of policy statements, with three attributes: effect, resources, actions. May be used in place of a role.

Example:
[]
role
string

Base role for the token

Example:

"reader"

token
string

The token value. When creating or resetting, contains the entire token value. Otherwise, contains the last four characters.

Example:

"1234"

serviceToken
boolean

Whether this is a service token or a personal token

Example:

false

defaultApiVersion
integer

The default API version for this token

Example:

20240415

lastUsed
integer<int64>

Timestamp of when the access token was last used

Example:

"0"